ck_info Struct Reference

`#include <pkcs11.h>`

## Data Fields

struct ck_version | cryptoki_version
unsigned char | manufacturer_id [32]
ck_flags_t | flags
unsigned char | library_description [32]
struct ck_version | library_version

## Detailed Description

Definition at line 195 of file pkcs11.h.

## Field Documentation

## cryptoki_version

struct ck_version ck_info::cryptoki_version

Definition at line 197 of file pkcs11.h.

## flags

ck_flags_t ck_info::flags

Definition at line 199 of file pkcs11.h.

## library_description

unsigned char ck_info::library_description[32]

Definition at line 200 of file pkcs11.h.

## library_version

struct ck_version ck_info::library_version

Definition at line 201 of file pkcs11.h.

## manufacturer_id

unsigned char ck_info::manufacturer_id[32]

Definition at line 198 of file pkcs11.h.

The documentation for this struct was generated from the following file:

- src/lib/cryptoki_compat/pkcs11.h